curl --request GET \
--url https://api.eflow.team/v1/networks/custom/scrubrate/{settingId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/custom/scrubrate/{settingId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/custom/scrubrate/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_custom_scrub_rate_setting_id": 123,
"network_id": 123,
"network_offer_id": 123,
"network_affiliate_id": 123,
"name": "<string>",
"custom_setting_status": "active",
"scrub_rate_percentage": 123,
"scrub_rate_status": "rejected",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliate": {
"network_affiliate_id": 123,
"network_id": 123,
"name": "<string>",
"account_status": "<string>",
"network_employee_id": 123,
"internal_notes": "<string>",
"has_notifications": true,
"network_traffic_source_id": 123,
"account_executive_id": 123,
"adress_id": 123,
"default_currency_id": "<string>",
"is_contact_address_enabled": true,
"enable_media_cost_tracking_links": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"referrer_id": 123
},
"offer": {
"network_offer_id": 123,
"network_id": 123,
"network_advertiser_id": 123,
"network_offer_group_id": 123,
"name": "<string>",
"offer_status": "<string>",
"network_tracking_domain_id": 123,
"visibility": "<string>",
"currency_id": "<string>"
},
"ruleset": {},
"variables": {
"total": 123,
"entries": [
{
"network_custom_scrub_rate_setting_variable_id": 123,
"network_custom_scrub_rate_setting_id": 123,
"comparison_method": "<string>",
"variable": "<string>",
"variable_value": "<string>",
"variable_secondary_value": "<string>"
}
]
}
}
}Get Custom Scrub Rate
Retrieve a single custom scrub rate setting by its ID.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The custom scrub rate setting identifier.
Query Parameters
Set to all to include expanded relationship data (ruleset, variables) in the response. Without this parameter, only affiliate and offer are returned.
all Response
Unique custom scrub rate setting ID.
Network ID.
Associated offer ID.
Associated affiliate ID.
Display name for this custom scrub rate setting.
Setting status.
active, inactive The percentage of conversions that will be affected by this setting (0-100). Note that each conversion has the specified percentage chance of being scrubbed, rather than guaranteeing that exactly that percentage will be scrubbed.
How the setting affects the conversions it targets. pending marks conversions as pending; rejected rejects them immediately.
rejected, pending Unix timestamp of creation.
1734455015
Unix timestamp of last update.
1734455015
Show child attributes
Show child attributes
Was this page helpful?
